Name:		openscad-nightly
Version:	20171119T104705.git3ad7670e
Release:	2054.1
Summary:	The Programmers Solid 3D CAD Modeller
License:	GPL-2.0+
Source:		https://github.com/openscad/openscad/archive/HEAD/openscad-%{version}.tar.gz
BuildRequires:  curl
BuildRequires:	make
BuildRequires:  gcc-c++
BuildRequires:  flex
BuildRequires:	bison
BuildRequires:	pkgconfig
BuildRequires:	gettext
BuildRequires:  glew-devel
BuildRequires:  opencsg-devel
BuildRequires:  libxml2-devel
BuildRequires:  fontconfig-devel
BuildRequires:	freetype-devel
BuildRequires:  harfbuzz-devel
%if 0%{?suse_version}
BuildRequires:  libeigen3-devel
BuildRequires:  libcgal-devel
BuildRequires:  libqt4-devel
BuildRequires:  libqscintilla-devel
BuildRequires:  Mesa-devel
BuildRequires:  update-desktop-files
%endif
BuildRequires:	glib2-devel
BuildRequires:  eigen3-devel
BuildRequires:	CGAL-devel
BuildRequires:  qt-devel
BuildRequires:	qscintilla-devel
BuildRequires:  boost-devel
BuildRequires:  mesa-libGL-devel
BuildRequires:	mesa-libGLU-devel
BuildRequires:	mpfr-devel
BuildRequires:	gmp-devel
BuildRequires:	libXmu-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

%description
OpenSCAD is a software for creating solid 3D CAD models. It is
free software and available for Linux/UNIX, Windows and Mac OS X.
Unlike most free software for creating 3D models (such as Blender)
it does not focus on the artistic aspects of 3D modelling but
instead on the CAD aspects. Thus it might be the application you
are looking for when you are planning to create 3D models of machine
parts but pretty sure is not what you are looking for when you are
more interested in creating computer-animated movies.

%prep
#gzip -dc openscad-%{version}.tar.gz | tar -x --strip-components=1 -f -
%setup -qn openscad-%{version}


%build
OPENSCAD_VERSION=`echo "%{version}" | sed -e 's/^\(....\)\(..\)\(..\).*/\1.\2.\3.nightly/'`
OPENSCAD_COMMIT=`echo "%{version}" | cut -b 20-26`
%if 0%{?suse_version}
qmake openscad.pro CONFIG+=experimental CONFIG-=debug PREFIX=%{_prefix} QMAKE_CXXFLAGS="%{optflags}" SUFFIX=-nightly VERSION="$OPENSCAD_VERSION" OPENSCAD_COMMIT="$OPENSCAD_COMMIT"
%endif
qmake-qt4 openscad.pro CONFIG+=experimental CONFIG-=debug PREFIX=%{_prefix} SUFFIX=-nightly VERSION="$OPENSCAD_VERSION" OPENSCAD_COMMIT="$OPENSCAD_COMMIT"

%install
make INSTALL_ROOT=%{buildroot} install
%if 0%{?suse_version}
%suse_update_desktop_file openscad-nightly Graphics 3DGraphics
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING README.md RELEASE_NOTES.md doc/*.pdf
%{_bindir}/openscad-nightly
%{_datadir}/openscad-nightly/
%{_datadir}/applications/openscad-nightly.desktop
%{_datadir}/pixmaps/openscad-nightly.png
%{_datadir}/mime/packages/openscad-nightly.xml
%{_mandir}/man1/*
%dir %{_datadir}/appdata
%{_datadir}/appdata/openscad-nightly.appdata.xml

%changelog

